[POST] .../v1/techmapoperation/get
Returns tech map operation. Use this method to retrieve component rows of one technological map before editing, moving, deleting or posting the parent DocTechMap. The response returns paged TechMapOperation records with next_offset and total, supports filters over document_id, id, item_id, item.name and search, supports limit and offset and supports sort_orders with the documented enum column values. The request supports document_id, id, item_id and search filters. Production must be enabled by PRODUCTION_ALLOWED, the request must provide the document_id filter with exactly one document ID and the current request user must have tech map operation select permission. Missing body, disabled production, missing document_id, oversized filter selections, more than one document id, denied access, invalid sort_orders, database failures or item lookup failures are returned as HTTP 200 ErrorResult business errors.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| filters | Array of Filter | Required | Filters by fields available for this API method. Required filter fields: document_id. |
| limit | Int32 | Optional | Maximum number of records to return. Server settings define the effective maximum. |
| offset | Int32 | Optional | Offset from the beginning of the result set. Negative values are treated as 0. |
| search | String | Optional | Search by Item.name, Item.articul, Item.code and Item.barcodes. |
| sort_orders | Array of TechMapOperationSortOrder | Optional | Output parameter sorting. |
Filterable Fields
| Field | Type | Required | Description |
|---|---|---|---|
| document_id | int | Required | |
| id | int | Optional | |
| item.name | string | Optional | |
| item_id | int | Optional |
Sortable Fields
| Field |
|---|
| document_id |
| id |
| item.articul |
| item.code |
| item.id |
| item.name |
| last_update |
| part_cost |
| quantity |
Request Example
{
"filters": [
{
"Field": "document_id",
"Operator": "Equal",
"Value": "7301"
},
{
"Field": "item_id",
"Operator": "In",
"Value": "1001"
}
],
"sort_orders": [
{
"column": "item.name",
"direction": "ASC"
}
],
"limit": 50,
"offset": 0
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| next_offset | Int32 | Offset for the next data page. |
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Array of TechMapOperation | Result array. |
| total | Int64 | Total number of result items. |
Response Example
{
"ok": true,
"result": [
{
"id": 8301,
"document_id": 7301,
"item": {
"id": 1001,
"name": "Arabica Coffee 1 kg",
"code": "COF-001"
},
"quantity": 2,
"part_cost": 40,
"last_update": 1767225600
}
],
"next_offset": 0,
"total": 1
}